> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch table detail for a saved connector

> Returns detailed metadata for a specific table on the saved connector. tableName is required; databaseName defaults to the connector's configured database, schemaName defaults to the connector type's default schema, and isView is optional.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /connectors/{uuid}/detail
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}/detail:
    get:
      tags:
        - Connectors
      summary: Fetch table detail for a saved connector
      description: >-
        Returns detailed metadata for a specific table on the saved connector.
        tableName is required; databaseName defaults to the connector's
        configured database, schemaName defaults to the connector type's default
        schema, and isView is optional.
      operationId: connector_fetch_table_detail
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - in: query
          name: databaseName
          schema:
            type: string
        - in: query
          name: schemaName
          schema:
            type: string
        - in: query
          name: tableName
          required: true
          schema:
            type: string
        - in: query
          name: isView
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsConnectorTableDetailResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsConnectorTableDetailResponse:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/PayloadsConnectorColumn'
          type: array
        createdAt:
          format: date-time
          type:
            - 'null'
            - string
        isView:
          type: boolean
        metadata:
          items:
            $ref: '#/components/schemas/PayloadsCatalogTableProperty'
          type: array
        modifiedAt:
          format: date-time
          type:
            - 'null'
            - string
        name:
          type: string
        schema:
          type: string
        unreadable:
          type: boolean
      required:
        - schema
        - name
        - isView
        - createdAt
        - modifiedAt
        - unreadable
      type: object
    PayloadsConnectorColumn:
      properties:
        metadata:
          $ref: '#/components/schemas/PayloadsConnectorColumnMetadata'
        name:
          type: string
      required:
        - name
        - metadata
      type: object
    PayloadsCatalogTableProperty:
      properties:
        isDate:
          type: boolean
        key:
          type: string
        value:
          $ref: '#/components/schemas/PayloadsJSONValue'
      required:
        - key
        - value
        - isDate
      type: object
    PayloadsConnectorColumnMetadata:
      properties:
        comment:
          type: string
        dataType:
          type: string
        defaultValue:
          type: string
        isPrimaryKey:
          type: boolean
        notNull:
          type: boolean
      required:
        - dataType
        - notNull
      type: object
    PayloadsJSONValue:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueArray'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
    PayloadsJsonValueString:
      oneOf:
        - type: string
      type: string
    PayloadsJsonValueNumber:
      oneOf:
        - type: number
      type: number
    PayloadsJsonValueBoolean:
      oneOf:
        - type: boolean
      type: boolean
    PayloadsJsonValueObject:
      additionalProperties: true
      type: object
    PayloadsJsonValueArray:
      items:
        $ref: '#/components/schemas/PayloadsJsonValueArrayItem'
      type: array
    PayloadsJsonValueNull:
      oneOf:
        - type: 'null'
      type: 'null'
    PayloadsJsonValueArrayItem:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.